import java.net.ServerSocket;
import java.net.Socket;
import java.io.IOException;

public class MainServerThread extends Thread {
    private final SimpleLogger logger = new SimpleLogger("MainServerThread");
    private final int socketPort;
    private final String bookFileName;
    
	public MainServerThread(int socketPort, String bookFileName) {
		this.socketPort = socketPort;
		this.bookFileName = bookFileName;
	}

	public void run() {
		logger.log("Starting MainServerThread.run");
		ServerSocket s;
		try {
			s = new ServerSocket(socketPort);
			while (true) {
				logger.log("Server-socket " + s + " waiting for a client to connect...");
				// Blocks until a connection occurs:
				Socket socket = s.accept();
				logger.log("Connection from client accepted. New socket: " + socket);
				ClientListenerThread client_listener = new ClientListenerThread(socket, bookFileName);
				client_listener.start();
			}
		}
		catch (IOException e) {
			logger.log("Failed to open ServerSocket");
			e.printStackTrace();
		}
	} // run
} // class ChatServer
